Bug 977087 - [RFE][nova]: allow launching instances from initrd.img and vmlinuz files
[RFE][nova]: allow launching instances from initrd.img and vmlinuz files
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs (Show other bugs)
unspecified
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: RHOS Maint
: FutureFeature, MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 08:20 EDT by Dafna Ron
Modified: 2016-04-26 09:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 17:20:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2013-06-23 08:20:24 EDT
Description of problem:

it would be a good to add support for launching instances from an initrd and vmlinuz files. 

Version-Release number of selected component (if applicable):

openstack-cinder-2013.1.2-3.el6ost.noarch
openstack-nova-compute-2013.1.2-2.el6ost.noarch

How reproducible:



Steps to Reproduce:
1. create a new image - currently we only except http location of isos 
2. launch an instance - we have to select an image
3.

Actual results:

its only possible to create an image from http link of iso file. 
its not possible to launch instances without an image 

Expected results:

it would be nice if we had support for vmlinuz and initrd files which are an easy way of installing OS. 


Additional info:
Comment 1 Lon Hohberger 2013-08-01 10:13:41 EDT
Please file this in launchpad (upstream tracker) and link it back here - this will need to be upstream first.

Note You need to log in before you can comment on or make changes to this bug.